gnutls_mac_get_id(3)

NAME
gnutls_mac_get_id - Returns the gnutls id of the specified in string algorithm

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_mac_algorithm_t gnutls_mac_get_id(const char * name);

ARGUMENTS

const char * name
    is a MAC algorithm name

DESCRIPTION
Convert a string to a gnutls_mac_algorithm_t value. The names are compared in a case insensitive way.

RETURNS
an gnutls_mac_algorithm_tid of the specified in a string MAC algorithm, or GNUTLS_MAC_UNKNOWN on failures.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.